Loading...
Searching...
No Matches
codec_desc.h File Reference
`#include "libavutil/avutil.h"`
`#include "codec_id.h"`

Go to the source code of this file.

## Data Structures

struct | AVCodecDescriptor
| This struct describes the properties of a single codec described by an AVCodecID. More...

## Macros

#define | AV_CODEC_PROP_INTRA_ONLY (1 << 0)
| Codec uses only intra compression.
#define | AV_CODEC_PROP_LOSSY (1 << 1)
| Codec supports lossy compression.
#define | AV_CODEC_PROP_LOSSLESS (1 << 2)
| Codec supports lossless compression.
#define | AV_CODEC_PROP_REORDER (1 << 3)
| Codec supports frame reordering.
#define | AV_CODEC_PROP_FIELDS (1 << 4)
| Video codec supports separate coding of fields in interlaced frames.
#define | AV_CODEC_PROP_ENHANCEMENT (1 << 5)
| Video codec contains enhancement information meant to be applied to other existing frames, and can't generate usable image data on its own.
#define | AV_CODEC_PROP_BITMAP_SUB (1 << 16)
| Subtitle codec is bitmap based Decoded AVSubtitle data can be read from the AVSubtitleRect->pict field.
#define | AV_CODEC_PROP_TEXT_SUB (1 << 17)
| Subtitle codec is text based.

## Functions

const AVCodecDescriptor * | avcodec_descriptor_get (enum AVCodecID id)
const AVCodecDescriptor * | avcodec_descriptor_next (const AVCodecDescriptor *prev)
| Iterate over all codec descriptors known to libavcodec.
const AVCodecDescriptor * | avcodec_descriptor_get_by_name (const char *name)